AutoCad :: Change Lineweight Of Specific Line In Project Without Changing All Other Lines?
May 20, 2012How to change the lineweight of a specific line in my project without changing all other lines?
View 2 RepliesHow to change the lineweight of a specific line in my project without changing all other lines?
View 2 RepliesI'm using feature lines created from utilities line work to label utility locations on section views. To avoid selecting each individual section view, I'm using Profile & Section Views, Section views, Project Objects To Multiple Section Views. This works great. Labels are placed on the Sections Views all at once, just requiring a little clean up of label locations. However, there are feature lines for other purposes in the drawing, and these are all labeled at the same time. Any way to select which feature lines will be projected? I've been erasing the extra labels, which is still faster then placing one label at a time per section view.
Win 7 64BIT
C3D 2013
I am drawing a diagram to describe a mathematical word problem. Since it is easier to visualize with a drawing, I want to draw it using the given dimensions. But angles used in the diagram are unknown and are not needed for the answer to be calculated, so the only way to draw this freehand is to guess at the angle resulting in the correct distances to be off.
Here is the word problem: There are two ladders, one 40 feet and the other 30 feet, each touching the base of one of two buildings and leaning against the other building. If the ladders cross 10 feet above the ground, how far apart are the buildings?
So for my drawing, being rather simple considering what AutoCAD can do, results in this:
Can AutoCAD calculate the angle needed to place a line of a given length between two parallel lines that are a distance apart less than the length of the line to place between them, having the endpoints of this line touching the parallel lines, fitting exactly?
For the word problem, the distance between the two parallel lines is what needs to be solved and the math is quite invloved, having to find the roots or solution of a quartic equation. (I have the solution figured out to be 26.03287754 feet)
What I am afraid of is that this would require to program an AutoLISP routine to create a new command that one can call from the command line. I see it using the the measure command with relative and absolute co-ordinates. This may be far from a "beginner" question. I can do this quite easily on a peice of paper: having two parallel lines drawn, take a ruler and placing the "0" mark on one line, then adjusting the angle until the desired length just reaches the opposite parallel line. I used to use this trick quite often when drafting with pencil and paper to divide a distance into a required number of even amounts, so this can't be that difficult to do with AutoCAD!
I've had a simple lisp I've been using for years that suddenly disappeared. It required that you identify a block name, tag name, and the value that you want the tag to be. All of this is performed via command line, so it is scriptable. Since I lost it, I've been experimenting with -attedit. This command comes frustratingly close to what I'm looking for, except it only appends an existing tag, or replaces a specific string within the tag; I can't get it to replace the entire tag, regardless of its value.
1> Any lisp routine that does what I describe?
or
2> How to make -attedit replace a tag value without regard to what the value currently is (like a * wildcard)?
I already change the lineweight on the properties but nothing happens to the line. What's the matter?
View 2 Replies View Related(Image attached). I am using Inventor 2013 and Visual Basic 2010 Express. I created a sketch within one of my views on my .idw. I would like to turn this sketch on or off based on the input from a variable that is read elsewhere. I have used the following code from the help file with no luck so far.
Public Sub SketchEdit() Dim oDrawDoc As DrawingDocument oDrawDoc = _invApp.ActiveDocument ' Determine if there are any sheet overlay sketches. Dim oSketches As DrawingSketches oSketches = oDrawDoc.ActiveSheet.Sketches If oSketches.Count = 0 Then Exit Sub End If ' Set a reference to the first sketch. Dim oSketch As DrawingSketch oSketch = oSketches.Item(4) oSketch.Edit() If vValue_Closer = "" Then oSketch.LineWeight = 0 Else oSketch.LineWeight = 0.007 End If ' Return from edit mode. oSketch.ExitEdit() End Sub
The code errors out on the line 'osketch = osketches.item(4)'. I have tried using a number like that, and I have also tried using the actual name of the sketch. Neither works.
oSketch = oSketches.Item("Closer_Reinf")
what to edit here to get it to look at my Closer_Reinf sketch to hide it/unhide it ?
Somehow i can't draw lines with different lineweight. I can change the color and the linetype but the lineweight doesn't. In the properties toolbar over the workspace the last option (after lineweight) is not active and shows bycolor!I suppose that is the problem why i can't draw lines with different lineweight!
View 9 Replies View RelatedI'm currently trying to use the text tool so I can color a line of text in two differing colors. However when I highlight the characters I want to change the whole line changes.
How do I change the color of specific characters in a line of text?
When drawing in .stb-file (with layer dependent plot style, plotting in monochrome) and when Dimension Text Style is set to Romans (must not be changed), then how to change line weight of Lines and Text separately?
View 3 Replies View RelatedI have a drawing with numerous copies of a particular block. I would like to change the Lineweight of the attribute so that it is reduced in all of the blocks in my drawing. How can I do this?
View 2 Replies View RelatedHow to add and delete a “lineweight” from the lineweight list?
I’m wondering if there is a way to add and delete lineweight from the lineweight list?
Software: AutoCAD 2014, AutoCAD C3D, AutoCAD M3D, Revit
Windows 7 (Ultimate 64 bits),
Firefox 20.0,
Kaspersky 2013.
Our office recently upgraded from AutoCAD 2005 to the new version AutoCAD Architecture 2013. I’m having difficulty finding the layer override toolbar for the lines. I have found that I can change the color and/or line type of an line in the properties dialog box but in AutoCAD 2005 there was a toolbar specifically assigned for the color, line type and line weight of a line. Dose that toolbar still exist in 2013 or do they control this in another location.
View 9 Replies View RelatedHow do I change the lineweight system variable
Pressing the command button puts <Lineweight > in the command line.
The last problem I had to search for was to change lineweights
br.LineWeight = 0.35
should be:
br.LineWeight = LineWeight.LineWeight035
I have a block which includes some Multiple lines attributes.
Now I don't want them to be multiple lines any more.
How can I change them to single line attribute?
In the block editor, the "Multiple lines" in the properties palette is gray out. I have create single line attribute and replace the multiple line attributes one by one.
Why don't make the Multiple lines property editable? This problem is since Multiple line attribute first time introduced.
Interesting thing is single line attributes can easily changed to multiple line attributes through the properties palette!
I am looking for a lisp that has the same functions as laymrg that will allow the line to keep it's lineweight.
I have several layers in my template file that have lineweights, I want to merge these lines onto one layer but hold the color, linetype, and lineweight of the original layer.
How do I change the grid lines from solid to a dotted line in the Section View?
View 3 Replies View RelatedLately when I plot my drawings the diagonal lines plot gray. I didn't change the line color. Can't figure it out.
View 1 Replies View RelatedI have multiple floor plans in a drawing one of which I need to explode 3-4 times to change the lineweight to 9mm. I have tried to put something that will repeat explode but I am having problems with plines within the blocks not exploding.
(defun c:tmp (ss)
(setq ss (ssget))
(setvar 'qaflags 1)
(repeat 3 (vl-cmdf "._explode" ss ""))
(setvar 'qaflags 0)
(vl-cmdf "chprop" ss "" "lw" "0.09" "")
)
I have to set up a project in Navigator so we can get started on it but I will have to go back and change the project number when we get it.
My question is how do I change the project no so that it re paths everything and reorganizes itself numerically in Windows Explorer...or should I just create a new project in Navigator and copy the files I need into the new project?
How to change the Color, line type and Line weight for the Line using .Net.
View 9 Replies View RelatedMy question is how do i extend lines to a specific point? I have attached a before and after image below for an example. But obviously it takes to long to do this line by line and getting the spacing correct. Is there a way to do this?
Capture2.JPG-----------------------------> Capture.JPG
How or if you can add sample lines to a specified group? I created a group only to realize that there are some specific stations I need. I do not want to re-create the group and re-assign the materials nor reproduce my volume reports. I just want the section plotted on my sheets.
View 3 Replies View RelatedIf I am drawing in 3D and I want to draw a line with a specific angle, how do I choose the plane that it is drawn in? Cos whenever I specify an angle the line is drawn in the horizontal plane
View 2 Replies View RelatedHow can I draw lines with specific interior angles between them?
For example, if I draw my first line then, I want to draw the second one but with an interior angle of 100deg between them, what can I do?
Is there an easy way to get co-ordinates targeting the edge of road and daylight features along a corridor at 20m intervals without manually going through it or using createpointsfromcorridor?
View 4 Replies View RelatedIs there a way to make a object with straight lines to change the straight line to be undulated like a curly.
View 14 Replies View RelatedHow do i draw line at specific angle. if i have the length on the x axis and angle, when i do @.25<45 the line becomes .25 in length i need the x dim to be .25 @ 45 degrees. as shown in the picture
View 9 Replies View RelatedI'm using ACA 2013. I am using sheet sets and I am working on my Sheet Template.Typcially we use a 3 line project title in our standard title block and I would like to continue doing so . The problem is that the Project Data only has one line for the "Project Name".
How can I get the project name to be 3 lines that separate when I want them to, I.E.
NEW MEDCIAL OFFICE BUILDING
FOR
MY LOCAL HOSPITAL SYSTEM
Is this a change in the "Project Name" field in the sheet template?
I'd like to place a point at a specific "Z" level on a line. The line is not perpendicular to the x~y plane. On the attached .dwg, say @ z+.750 on one of the angled lines on the "constraints" layer.
0699 Cadtutuor.dwg
Can you lock a line so that it cannot be moved or erased? Not a layer...a specific line.
View 3 Replies View RelatedIs there a way of using Ilogic to make hidden lines of specific parts in an assembly drawing view visible? If a part with hidden lines showing is suppressed and then unsuppressed the hidden line option becomes unchecked, therefore I need a way of rechecking this option through code?
View 2 Replies View Related